function I = integrasjon(Input_felles,x,beta,phi_i,phi_j)

index_1 = Input_felles(3); % Indeks for L_eksp_start.
index_2 = Input_felles(4); % Indeks for L_eksp_slutt.

% Integrerer produktet av egenmodene og co-spektrum over x1 og x2. 

I = 0;
for x_1 = index_1:index_2
    for x_2 = index_1:index_2
        deltax = abs(x(x_1)-x(x_2));
        Co = exp(-beta*deltax);
        I = I + phi_i(x_1)*phi_j(x_2)*Co;
    end
end

dx = (x(index_2)-x(index_1))/(index_2-index_1);
I = I*dx^2;

end