% Plotter svingeformer i torsjonsretning.

len_tetta = length(svingeformer_tetta); % Antall svingeformer i t.-retning.
x_nor = x/L; % Normalisert x-vektor.

for i=1:len_tetta
    phi_i = egenmode_i(phi,svingeformer_tetta(i)); % Lager svingeform nr i.
    phi_i_tetta = phi_i(3,:); % Henter kun torsjonsretningen fra sf. nr i.
   
    subplot(len_tetta,1,i)
    plot(x_nor, phi_i_tetta, 'LineWidth', 1)
    xlim([0 1])
    ylabel(['\phi_{\theta_{' num2str(i) '}}'])
    grid
    hold on
end
xlabel('x/L');