function H_amp = amplification(kappa_ae,zeta_ae,omega,zeta,omega_i_V0)
% Gir dynamisk forsterkningsfaktor for gitt lastfrekvens
% og fart, omega og V.

N_modes = length(kappa_ae); % Antall svingeformer i beregningen.

H_amp = inv(eye(N_modes) - kappa_ae - (omega*diag(1./omega_i_V0)).^2 ...
         + 2i*omega*diag(1./omega_i_V0)*(zeta-zeta_ae));
end