% Plotter utviklingen av egenfrekvenser mot V
sf = [2 3 7]; % nskede egenfrekvenser spesifiseres i vektoren 'sf' 
N_sf = length(sf);

omega_i = zeros(N_sf,length(V)+1);

for i = 1:N_sf
    omega_i(i,1) = omega_i_V0(sf(i));
end

n = 2;
for v=V
    path = ['output/V' num2str(v) '/'];
    inputNavn = ['omega_i_endelig_V' num2str(v)];
    omega_i_midl = load([path inputNavn], '-ascii');
    for j=1:N_sf
    omega_i(j,n) = omega_i_midl(sf(j));
    end
    n = n + 1;
end

subplot(2,1,1)
plot([0 V],omega_i,'o-', 'LineWidth', 1)
ylabel('\omega_i [rad/s]')
xlabel('V [m/s]')
legend('\omega_{z_2}','\omega_{z_3}','\omega_{z_7}')
grid