N_V = length(V);

omega_i_V = zeros(1,N_V);

kov = zeros(1,N_V);

respons = zeros(3,N_V);
X_R=0.5;

for j=1:N_V  
    if V(j) == 0
        respons(:,j) = [0;0;0];
        kov(j) = 0;
    else
        path = ['output/V' num2str(V(j),8) '/respons/'];
        inputNavn = ['Cov_rr_x_r=' num2str(X_R) 'L'];
        respons_midl = load([path inputNavn], '-ascii');
        respons(:,j) = [sqrt(respons_midl(1,1));sqrt(respons_midl(2,2));sqrt(respons_midl(3,3))*(360/(2*pi))];
        kov(j) = respons_midl(2,3)/(sqrt(respons_midl(2,2))*sqrt(respons_midl(3,3)));
    end
end

subplot(3,1,1)
plot(V,respons(2,:),'-ko', 'LineWidth', 1)
xlabel('V [m/s]');
ylabel('\sigma_{r_z r_z} [m]')
grid

subplot(3,1,2)
plot(V,respons(3,:),'-ko', 'LineWidth', 1)
xlabel('V [m/s]');
ylabel('\sigma_{r_{\theta} r_{\theta}} [grader]')
grid

subplot(3,1,3)
plot(V,kov,'-ko', 'LineWidth', 1)
xlabel('V [m/s]');
ylabel('\rho_{r_z}_{r_{\theta}}')
grid