% Plotter svingeformer i vertikal retning.

len_z = length(svingeformer_z);
x_nor = x/L;

for i=1:len_z
    phi_i = egenmode_i(phi,svingeformer_z(i)); % Lager svingeform nr i.
    phi_i_z = phi_i(2,:); % Henter kun torsjonsretningen fra sf. nr i.
    
    subplot(len_z,1,i)
    plot(x_nor, phi_i_z, 'LineWidth', 1)
    xlim([0 1])
    ylabel(['\phi_{z_{' num2str(i) '}}'])
    grid
    hold on
end
    xlabel('x/L');